Skip to main content
DELETE
/
integrations
/
external
/
chats
/
{id}
/
messages
/
{messageId}
/
reaction
Remover reação
curl --request DELETE \
  --url https://api.wegly.com.br/integrations/external/chats/{id}/messages/{messageId}/reaction \
  --header 'Authorization: Bearer <token>'
{
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "type": "text",
  "origin": "INBOUND",
  "from_me": true,
  "sent_via": "CONTACT",
  "status": "sent",
  "body_text": "<string>",
  "reactions": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "emoji": "<string>",
      "actor": "CONTACT",
      "reactor_wa_id": "<string>",
      "reactor_user_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "created_at": "2023-11-07T05:31:56Z"
    }
  ],
  "meta_timestamp": "2023-11-07T05:31:56Z",
  "created_at": "2023-11-07T05:31:56Z",
  "is_history": true,
  "history_phase": 123,
  "history_chunk_order": 123,
  "history_progress": 123,
  "is_media_placeholder": true,
  "agent": {
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "user": {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "name": "<string>",
      "avatar": "<string>"
    }
  },
  "user": {
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "name": "<string>",
    "avatar": "<string>"
  },
  "media": {
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "mime_type": "<string>",
    "file_name": "<string>",
    "is_downloaded": true,
    "url": "<string>"
  },
  "call": {
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "status": "COMPLETED",
    "direction": "INBOUND",
    "started_at": "2023-11-07T05:31:56Z",
    "ended_at": "2023-11-07T05:31:56Z",
    "duration_ms": 123,
    "recording_processed": true,
    "recording_available": true,
    "has_recording": true
  },
  "quoted_message": {
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "type": "text",
    "origin": "INBOUND",
    "from_me": true,
    "sent_via": "CONTACT",
    "status": "sent",
    "body_text": "<string>",
    "reactions": [
      {
        "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "emoji": "<string>",
        "actor": "CONTACT",
        "reactor_wa_id": "<string>",
        "reactor_user_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "created_at": "2023-11-07T05:31:56Z"
      }
    ],
    "meta_timestamp": "2023-11-07T05:31:56Z",
    "created_at": "2023-11-07T05:31:56Z",
    "is_history": true,
    "history_phase": 123,
    "history_chunk_order": 123,
    "history_progress": 123,
    "is_media_placeholder": true,
    "agent": {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "user": {
        "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "name": "<string>",
        "avatar": "<string>"
      }
    },
    "user": {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "name": "<string>",
      "avatar": "<string>"
    },
    "media": {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "mime_type": "<string>",
      "file_name": "<string>",
      "is_downloaded": true,
      "url": "<string>"
    },
    "page": 2
  },
  "crm_marketing_lead_source": [
    {}
  ]
}

Authorizations

Authorization
string
header
required

Utilize o token de integração no header Authorization: Bearer {token}. O domínio de origem (Origin/Referer) deve respeitar allowed_domain, quando configurado na chave.

Path Parameters

id
string<uuid>
required

UUID do chat.

messageId
string<uuid>
required

UUID da mensagem.

Response

Mensagem após remoção da reação.

id
string<uuid>
type
enum<string>
Available options:
text,
reaction,
image,
video,
audio,
document,
template,
interactive,
location,
call
origin
enum<string>
Available options:
INBOUND,
API_OUTBOUND,
MOBILE_APP_ECHO,
SYSTEM
from_me
boolean
sent_via
enum<string>
Available options:
CONTACT,
API,
MOBILE_DEVICE,
SYSTEM
status
enum<string>
Available options:
sent,
delivered,
read,
failed,
received,
deleted
body_text
string | null
reactions
object[]
meta_timestamp
string<date-time>
created_at
string<date-time>
is_history
boolean
history_phase
integer | null
history_chunk_order
integer | null
history_progress
integer | null
is_media_placeholder
boolean
agent
object
user
object
media
object
call
object
quoted_message
object
crm_marketing_lead_source
object[] | null